# $Revision: 1.4 $, $Date: 2001/11/21 14:02:17 $
Summary:	sap - English-Polish and vice versa dictionary for dictd
Summary(pl):	sap - sownik angielsko-polski i odwrotnie dla dictd
Name:		dict-sap
Version:	0.1b_0.1
Release:	1
License:	GPL
Group:		Applications/Dictionaries
Group(de):	Applikationen/Wrterbcher
Group(pl):	Aplikacje/Sowniki
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	dictzip
BuildRequires:	perl
BuildRequires:	autoconf
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description 
This package contains sap - English-Polish and Polish-English
dictionary version 0.1b, formatted for use by the DICT server.

%description -l pl
Ten pakiet zawiera sap - sownik angielsko-polski i polsko-angielski
sformatowane do uycia z serwerem sownika dictd.

%prep
%setup -q

%build
autoconf
%configure 
%{__make} db 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd/,%{_bindir},%{_sysconfdir}/dictd}
%{__make} install DESTDIR=$RPM_BUILD_ROOT

for dictname in sap_en-pl sap_pl-en; do
    dictprefix=%{_datadir}/dictd/$dictname
    echo "# sap dictionary, part $dictname
database $dictname {
    data  \"$dictprefix.dict.dz\"
    index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/$dictname.dictconf
done

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/*.dictconf
%attr(755,root,root) %{_bindir}/sapdict
%{_datadir}/dictd/sap_*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dict-sap.spec,v $
Revision 1.4  2001/11/21 14:02:17  qboosh
- adapterized, pl translations

Revision 1.3  2001/10/23 15:28:37  undefine
- ac stuff, removed noarch.

Revision 1.2  2001/08/22 17:30:30  filon
- removed paths from requires

Revision 1.1  2000/08/14 09:25:20  mis
- new from scratch
